﻿// SequencerPositionChangedEventArgs.cs (c) Charles Petzold, 2009

using System;

namespace Petzold.SoundSynthesis
{
    public delegate void SequencerPositionChangedEventHandler(object sender, SequencerPositionChangedEventArgs args);

    public class SequencerPositionChangedEventArgs : EventArgs
    {
        public SequencerPositionChangedEventArgs(int positionIndex, TimeSpan elapsedTime)
        {
            PositionIndex = positionIndex;
            ElapsedTime = elapsedTime;
        }

        public int PositionIndex { get; set; }
        public TimeSpan ElapsedTime { get; set; }
    }


}
