﻿using System.Windows.Controls;

namespace SimpleSequencer
{
    public partial class QuarterNote : UserControl
    {
        int sharpOrFlat;

        public QuarterNote()
        {
            InitializeComponent();
        }

        public int Index { get; set; }

        public int SharpOrFlat 
        { 
            set
            {
                sharpOrFlat = value;
                flat.Visibility = sharpOrFlat == -1 ? System.Windows.Visibility.Visible : System.Windows.Visibility.Collapsed;
                sharp.Visibility = sharpOrFlat == 1 ? System.Windows.Visibility.Visible : System.Windows.Visibility.Collapsed;

            }
            get { return sharpOrFlat; }
        }
    }
}
